﻿Imports System.IO.IsolatedStorage
Imports System.IO

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub save_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim appStorage = IsolatedStorageFile.GetUserStoreForApplication()

        Dim fileName = "simple.txt"

        Using file = appStorage.OpenFile(fileName, System.IO.FileMode.OpenOrCreate, System.IO.FileAccess.Write)
            Using writer = New StreamWriter(file)
                writer.Write(infoTextBox.Text)
            End Using
        End Using
    End Sub

    Private Sub clear_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        infoTextBox.Text = ""
    End Sub

    Private Sub open_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Using store = IsolatedStorageFile.GetUserStoreForApplication()
            Using sr As New StreamReader(store.OpenFile("simple.txt", FileMode.Open, FileAccess.Read))
                infoTextBox.Text = sr.ReadToEnd()
            End Using
        End Using
    End Sub
End Class
